#!/bin/sh

scriptdir=`dirname $0`
cd $scriptdir
scriptdir=`pwd`
# we assume that the script support is in $rootdir/share/tbarcode
rootdir=$scriptdir/../..

echo ""
echo "This script collects some useful information about your TBarCode/X installation."
echo "If you have problems with TBarCode/X you can send the information generated with script"
echo "to the TEC-IT support (support@tec-it.com) to get help with the product."
echo ""
echo "----------------------------------------------------"
echo ""
echo "Date: $(date)"
echo ""
echo "TBarCode Install Path:"
which tbarcode 2> /dev/null
echo ""
echo "TBarCode Version:"
$scriptdir/tbarcode --version
echo ""
echo "TBarCode Dependencies:"
ldd $scriptdir/tbarcode
echo ""
echo "System"
uname -a
echo ""
echo "TBarCode Directory:"
ls -l $scriptdir/       2> /dev/null
ls -l $rootdir/lib/     2> /dev/null
ls -l $rootdir/include/ 2> /dev/null
echo ""
echo "TBarCode licensing information:"
cat $scriptdir/license.ini 2> /dev/null
echo ""
echo "TBarCode default configuration:"
cat $scriptdir/tbarcode.conf
echo ""
# In some UNIX system, CUPS doesn't exist
cups_directory=`cups-config --serverbin 2> /dev/null`
if test -z "$cups_directory"; then
	echo "No CUPS installed"
else
	echo "CUPS Directory:"
	cups-config --serverbin
	ls -l $cups_directory/filter
fi
echo ""
echo "Supported encodings:"
iconv -l
echo ""
echo "Check encodings capabilities:"
$scriptdir/iconv_test.sh
echo ""
echo "Some common environment variables:"
echo "PATH=$PATH"
echo "LD_LIBRARY_PATH=$LD_LIBRARY_PATH"
echo "DYLD_LIBRARY_PATH=$DYLD_LIBRARY_PATH"
echo "SHLIB_PATH=$SHLIB_PATH"
echo "LIBPATH=$LIBPATH"
echo "LANG=$LANG"
echo "TERM=$TERM"
echo ""
echo "----------------------------------------------------"
echo "Please send the output of this script with a description "
echo "of your problem to support@tec-it.com to get help."
echo ""
echo "See http://www.tec-it.com for more information."
echo ""
echo "You can direct the output of this script to a text file"
echo "using the command:"
echo "sh $scriptdir/support.sh > output.log"
echo ""

